Skip to main content
Data Protection/Snapshot Interfaces
GETSnapshot InterfacesSince 3.6.0SynchronousAuth Required

Check Snapshot Group Availability

Check Snapshot Group Availability

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidsListRequired

    Snapshot group UUIDs

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      A reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      A reserved field. The default value is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. If no root error exists, this field is null

  • resultsListRequired

    For details, see results

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • availablebooleanRequired

      Whether the snapshot group can be reverted

    • reasonStringRequired

      The reason why the snapshot group cannot be reverted. Empty if it can be reverted

Endpoint

GET/zstack/v1/volume-snapshots/groups/availabilities

/zstack/v1/volume-snapshots/groups/availabilities

Operation ID

CheckVolumeSnapshotGroupAvailability

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/volume-snapshots/groups/availabilities?uuids=<uuids>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "results": [ { "uuid": "78dd38e3e58134cead860f270143a474", "available": true, "reason": "" } ] }

Change History

This API has no change history records yet.

View all change history